Account
Represents the Fivetran account associated with an API key. The account resource provides identity information about the account and the API key used to authenticate the request.
Resource attributes
The following attributes identify the account and the authenticating API key.
| Field name | Type | Description |
|---|---|---|
account_id | string, read-only | Unique identifier for the account. |
account_name | string, read-only | Name of the account. |
system_key_id | string, read-only | System API key ID. Returned as null when a system API key is not used to authenticate the request. |
user_id | string, read-only | User ID from the API key. Returned as null when a user API key is not used to authenticate the request. |
Supported operations
| Category | Endpoint | Description |
|---|---|---|
| Retrieval | GET /v1/account | Returns the account information associated with the API key. |